# Uses of Enum Class
com.google.protobuf.DescriptorProtos.FileOptions.OptimizeMode

Packages that use DescriptorProtos.FileOptions.OptimizeMode
Package
Description
com.google.protobuf

## Uses of DescriptorProtos.FileOptions.OptimizeMode in com.google.protobuf

Methods in com.google.protobuf that return DescriptorProtos.FileOptions.OptimizeMode
Modifier and Type
Method
Description
`static DescriptorProtos.FileOptions.OptimizeMode`
DescriptorProtos.FileOptions.OptimizeMode.`forNumber(int value)`
`DescriptorProtos.FileOptions.OptimizeMode`
DescriptorProtos.FileOptions.Builder.`getOptimizeFor()`
`optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED, json_name = "optimizeFor"];`
`DescriptorProtos.FileOptions.OptimizeMode`
DescriptorProtos.FileOptions.`getOptimizeFor()`
`optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED, json_name = "optimizeFor"];`
`DescriptorProtos.FileOptions.OptimizeMode`
DescriptorProtos.FileOptionsOrBuilder.`getOptimizeFor()`
`optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED, json_name = "optimizeFor"];`
`static DescriptorProtos.FileOptions.OptimizeMode`
DescriptorProtos.FileOptions.OptimizeMode.`valueOf(int value)`
Deprecated.
`static DescriptorProtos.FileOptions.OptimizeMode`
DescriptorProtos.FileOptions.OptimizeMode.`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static DescriptorProtos.FileOptions.OptimizeMode`
DescriptorProtos.FileOptions.OptimizeMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DescriptorProtos.FileOptions.OptimizeMode[]`
DescriptorProtos.FileOptions.OptimizeMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.google.protobuf that return types with arguments of type DescriptorProtos.FileOptions.OptimizeMode
Modifier and Type
Method
Description
`static Internal.EnumLiteMap<DescriptorProtos.FileOptions.OptimizeMode>`
DescriptorProtos.FileOptions.OptimizeMode.`internalGetValueMap()`
Methods in com.google.protobuf with parameters of type DescriptorProtos.FileOptions.OptimizeMode
Modifier and Type
Method
Description
`DescriptorProtos.FileOptions.Builder`
DescriptorProtos.FileOptions.Builder.`setOptimizeFor(DescriptorProtos.FileOptions.OptimizeMode value)`
`optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED, json_name = "optimizeFor"];`